import { Toaster } from 'solid-toast'
import './App.css'
import { SiteContextProvider } from './context/SiteContext'

function App(props) {
  return (
    <SiteContextProvider>
      <Toaster
        containerStyle={
          props.location?.pathname.indexOf('/login') >= 0
            ? null
            : { 'margin-top': '60px' }
        }
      />
      {props.children}
    </SiteContextProvider>
  )
}

export default App
